#include <iostream>
#include <bits/stdc++.h>
using namespace std;

bool sortiranje(pair<int, double> p1, pair<int, double> p2){
    return p1.second < p2.second;
}


int main()
{
    int n;
    cin >> n;
    int a[n];
    double p[n];
    pair <int, double> par[n];
    double suma = 0;
    for(int i = 0; i < n; i++){
        cin >> a[i] >> p[i];
        par[i] = make_pair(a[i], p[i]);
        suma += a[i];
    }
    sort(par, par + n, sortiranje);
    double ans = 0;
    for(int i = 0; i < n; i++){
        ans = max(ans, suma * par[i].second / 100);
        suma -= par[i].first;
    }
    cout << setprecision(17) << ans;
    return 0;
}